<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns:plnk="http://docs.oasis-open.org/wsbpel/2.0/plnktype" xmlns:tns="http://orchestra.ow2.org/weatherArtifacts" xmlns:vprop="http://docs.oasis-open.org/wsbpel/2.0/varprop" xmlns:wsdl="http://www.webserviceX.NET" name="weatherArtifacts" targetNamespace="http://orchestra.ow2.org/weatherArtifacts" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:weather="http://orchestra.ow2.org/weather" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/">
<plnk:partnerLinkType name="wsPLT">
<plnk:role name="service" portType="wsdl:GlobalWeatherSoap"/>
</plnk:partnerLinkType>
<import location="webserviceX.wsdl" namespace="http://www.webserviceX.NET"/>
<import location="weather.wsdl" namespace="http://orchestra.ow2.org/weather"></import>

	<binding name="weatherBinding" type="weather:weather">
		<soap:binding style="document"
			transport="http://schemas.xmlsoap.org/soap/http"/>
		<operation name="process">
			<soap:operation
				soapAction="http://orchestra.ow2.org/weatherArtifacts/process"/>
			<input>
				<soap:body use="literal"></soap:body>
			</input>
			<output>
				<soap:body use="literal"></soap:body>
			</output>
		</operation>
	</binding>
	
	<service name="weatherService">
		<port name="weatherPT" binding="tns:weatherBinding"><soap:address location="http://localhost:${HttpDefaultPort}/orchestra/weatherPT"/></port>
	</service>
</definitions>
